SYSTEM REQUIREMENTS
 
left Supported Platforms right

Elixir Repertoire 8 requires Java SE version 6.x Runtime Environment (JRE) to run on the following platforms:

  • Windows
  • Solaris
  • AIX
  • Linux
  • Macintosh OS X

Please note that for optimal JVM performance, the latest bug fixed versions should be used. Please also make sure that Java version 1.6 onwards is installed.

Developers may prefer to use the Java Development Kit (JDK) instead of the JRE as this provides the JConsole application monitoring tool.

left Repertoire version 7 to version 8 | Major Changes right
  • Support for Java version 1.6 onwards.

  • As the Ad Hoc functionality is now built natively into Repertoire Server, a plugin will no longer be needed.

left Software Requirements right

Elixir Repertoire 8 is fully self-contained and only requires the Java Runtime Environment (JRE) to run. Please verify that your JRE is installed correctly by opening a command prompt and type in:

 

java -version

You should make sure the version is up to date as described above. If you do not have the required Java version, you may make the download at http://java.sun.com/javase/downloads/index.jsp

Other supporting software you might need depending on your usage requirements are:

  • Database Drivers: Depending on where your data will be retrieved from, you will need the corresponding JDBC or ODBC drivers, which should be provided by the respective vendors. Please make sure you use the latest version - usually not the one in the original CDs, and check that it is designed for the JVM you have installed.

  • Client Browser: : Elixir Repertoire HTML output is standard compliant and hence any browser such as MS IE6, Google Chrome 1 and Mozilla Firefox 1.5 can be used to view them. However, for dashboards where transparency is used extensively, or where there is a large dataset to be cached at the browser, you should go with the latest browsers like Mozilla Firefox 3, MS IE8 or Google Chrome 5, for best user experience.

  • Various Output "Viewers": Elixir Repertoire Professional allows configuration of viewers for the various output types, whereas the Server relegates to the MIME type setting on the browser. Specifically, Elixir's PDF output conforms to PDF Reference, Third Edition, version 1.4, which is readable by Acrobat 5.0 and later versions.

left Hardware Requirements right

Elixir software is able to run on a usual entry level system available in the market.  As long as the operating system and the Java runtime is able to operate smoothly, Elixir software itself only requires an incremental amount of RAM.  The primary demand for hardware resources comes from the volume of data retrieval (requiring more RAM), the complexity of rendering logic (speed of processor will benefit), and concurrency of rendering (multiple processors or cores will help).

You may refer to the "System requirements for the Java Runtime Environment 6.0" at http://java.com/en/download/help/6000011000.xml


For Elixir Repertoire 8 Professional

A recommended minimum configuration would be 256MB, and for more advanced usage, 512MB or even 1GB to cater for very large dataset.

You should reserve a total of 180MB disk space for the following:

  • 80 MB for Repertoire Designer, Repertoire Interactive, and Repertoire Runtime software, as well as accompanying documentations and samples.
  • Up to 80 MB for the Java runtime (depending on the version)
  • 20 MB reserved space for other 3rd party add-on software like database drivers.


For Elixir Repertoire 8 Server

A recommended minimum configuration would be 512MB, and for more advanced usage, 1GB or even 2GB to cater for concurrent rendering involving large datasets.

You should reserve a total of 250MB disk space for the following:

  • 150 MB for the Repertoire Server, Repertoire Client, and Repertoire Remote Software, documentations and samples.
  • Up to 80 MB for the Java runtime (depending on the version)
  • 20 MB reserved space for other 3rd party add-on software like database drivers.


For Elixir Repertoire 8 Remote

Repertoire 8 Remote can be launched from the Repertoire 8 Server and automatically installed at the client environment through Java Web Start with auto-updating.

A recommended minimum configuration would be 256MB, and for more advance usage, 512MB or even 1GB to cater for very large dataset. At 3MB download size, the installed version requires 11MB.

Note: Since system requirements are ultimately subject to data volume, report complexity, and usage concurrency to meet the desired response time, it is important to perform a proper system sizing for optimal performance.  You may request for system sizing assistance by contacting our technical team at support@elixirtech.com.


Copyright © 2012 Elixir Technology Pte Ltd. All rights reserved. [ Sitemap ]